<!--
 * @Author: 张涛
 * @Date: 2023-02-17 10:24:05
 * @LastEditors: 张涛
 * @LastEditTime: 2023-02-20 09:12:49
 * @FilePath: \liaoning-uniapp\App.vue
-->
<script>
	import config from "./config";
	import store from "@/store";
	import {
		getToken
	} from "@/utils/auth";
	export default {
		onLaunch: function() {
			this.initApp();
		},
		methods: {
			// 初始化应用
			initApp() {
				// 初始化应用配置
				this.initConfig();
				// 检查用户登录状态
				//#ifdef H5
				this.checkLogin();
				//#endif
			},
			initConfig() {
				this.globalData.config = config;
			},
			checkLogin() {
				// if (!getToken()) {
				// 	this.$tab.reLaunch("/pages/login");
				// }
			},
		},
	};
</script>

<style lang="scss">
	/* 注意要写在第一行，同时给style标签加入lang="scss"属性 */
	@import "uview-ui/index.scss";
	@import "@/static/scss/index.scss";
	@import "@/style/font.css";
	@import "@/utils/quill.core.scss";

	/deep/.uni-system-preview-image {
		z-index: 99999 !important;
	}

	page {
		height: 100%;
		background: #F5F7FA;
	}
</style>